property_list_service.h File Reference

## Description

Definitions for the PropertyList service.

## Typedefs

typedef property_list_service_private * | property_list_service_client_t
| The client handle.

## Enumerations

enum | property_list_service_error_t { PROPERTY_LIST_SERVICE_E_SUCCESS = 0 , PROPERTY_LIST_SERVICE_E_INVALID_ARG = -1 , PROPERTY_LIST_SERVICE_E_PLIST_ERROR = -2 , PROPERTY_LIST_SERVICE_E_MUX_ERROR = -3 , PROPERTY_LIST_SERVICE_E_SSL_ERROR = -4 , PROPERTY_LIST_SERVICE_E_RECEIVE_TIMEOUT = -5 , PROPERTY_LIST_SERVICE_E_NOT_ENOUGH_DATA = -6 , PROPERTY_LIST_SERVICE_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions

LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_client_new (idevice_t device, lockdownd_service_descriptor_t service, property_list_service_client_t *client)
| Creates a new property list service for the specified port.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_client_free (property_list_service_client_t client)
| Frees a PropertyList service.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_send_xml_plist (property_list_service_client_t client, plist_t plist)
| Sends an XML plist.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_send_binary_plist (property_list_service_client_t client, plist_t plist)
| Sends a binary plist.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_receive_plist_with_timeout (property_list_service_client_t client, plist_t *plist, unsigned int timeout)
| Receives a plist using the given property list service client with specified timeout.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_receive_plist (property_list_service_client_t client, plist_t *plist)
| Receives a plist using the given property list service client.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_enable_ssl (property_list_service_client_t client)
| Enable SSL for the given property list service client.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_disable_ssl (property_list_service_client_t client)
| Disable SSL for the given property list service client.
LIBIMOBILEDEVICE_API property_list_service_error_t | property_list_service_get_service_client (property_list_service_client_t client, service_client_t *service_client)
| Return a handle to the parent service_client_t of the given property list service client.